<div class="dialog-container">
  <div class="title" mat-dialog-title>
    <div>{{'Assign Device To Field'}}</div>
    <button (click)="onClose()" mat-icon-button>
      <mat-icon>close</mat-icon>
    </button>
  </div>
  <div class="content" mat-dialog-content>
    <mat-form-field appearance="outline">
      <mat-label>{{"Field"}}</mat-label>
      <mat-select [formControl]="fieldSelectControl" disableOptionCentering>
        <mat-option *ngFor="let field of $fields | async" [value]="field.id">
          {{field.name}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div class="actions" mat-dialog-actions>
    <button (click)="onClose()" mat-raised-button>
      {{ 'Cancel' }}
    </button>
    <button (click)="onSave()" [disabled]="!isValid()" color="primary" mat-raised-button>
      {{ 'Save' }}
    </button>
  </div>
</div>
